io.vertx.reactivex.core

## Class TimeoutStream

- java.lang.Object
- - io.vertx.reactivex.core.TimeoutStream

- All Implemented Interfaces:
    ReadStream<Long>, StreamBase

      public class TimeoutStream
      extends Object
      implements ReadStream<Long>

  A timeout stream is triggered by a timer, the `Handler` will be call when the timer is fired, it can be once or several times depending on the nature of the timer related to this stream. The will be called after the timer handler has been called.

  Pausing the timer inhibits the timer shots until the stream is resumed. Setting a null handler callback cancels the timer.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TimeoutStream>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeoutStream(Object delegate)`
    `TimeoutStream(TimeoutStream delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()` Deprecated.
    `TimeoutStream` | `endHandler(Handler<Void> endHandler)` Deprecated.
    `boolean` | `equals(Object o)`
    `TimeoutStream` | `exceptionHandler(Handler<Throwable> handler)` Deprecated.
    `TimeoutStream` | `fetch(long amount)` Deprecated.
    `TimeoutStream` | `getDelegate()`
    `TimeoutStream` | `handler(Handler<Long> handler)` Deprecated.
    `int` | `hashCode()`
    `static TimeoutStream` | `newInstance(TimeoutStream arg)`
    `TimeoutStream` | `pause()` Deprecated.
    `Pipe<Long>` | `pipe()` Deprecated.
    `void` | `pipeTo(WriteStream<Long> dst)` Deprecated.
    `void` | `pipeTo(WriteStream<Long> dst, Handler<AsyncResult<Void>> handler)` Deprecated.
    `TimeoutStream` | `resume()` Deprecated.
    `Completable` | `rxPipeTo(WriteStream<Long> dst)` Deprecated.
    `Flowable<Long>` | `toFlowable()`
    `Observable<Long>` | `toObservable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TimeoutStream> __TYPE_ARG

  - ### Constructor Detail

    - #### TimeoutStream

          public TimeoutStream(TimeoutStream delegate)

    - #### TimeoutStream

          public TimeoutStream(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TimeoutStream getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Long>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<Long> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Long>`

    - #### toFlowable

          public Flowable<Long> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<Long>`

    - #### pipe

          @Deprecated
          public Pipe<Long> pipe()

      Deprecated.
      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Long>`
      Returns:
        a pipe

    - #### pipeTo

          @Deprecated
          public void pipeTo(WriteStream<Long> dst,
                                         Handler<AsyncResult<Void>> handler)

      Deprecated.
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Long>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          @Deprecated
          public void pipeTo(WriteStream<Long> dst)

      Deprecated.
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Long>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          @Deprecated
          public Completable rxPipeTo(WriteStream<Long> dst)

      Deprecated.
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<Long>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### exceptionHandler

          @Deprecated
          public TimeoutStream exceptionHandler(Handler<Throwable> handler)

      Deprecated.
      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Long>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          @Deprecated
          public TimeoutStream handler(Handler<Long> handler)

      Deprecated.
      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          @Deprecated
          public TimeoutStream pause()

      Deprecated.
      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          @Deprecated
          public TimeoutStream resume()

      Deprecated.
      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          @Deprecated
          public TimeoutStream fetch(long amount)

      Deprecated.
      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          @Deprecated
          public TimeoutStream endHandler(Handler<Void> endHandler)

      Deprecated.
      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Long>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### cancel

          @Deprecated
          public void cancel()

      Deprecated.
      Cancels the timeout. Note this has the same effect as calling `handler(io.vertx.core.Handler<java.lang.Long>)` with a null argument.

    - #### newInstance

          public static TimeoutStream newInstance(TimeoutStream arg)

Copyright © 2024 Eclipse. All rights reserved.